d.font(1)

NAME
d.font - Selects the font in which text will be displayed on the user's graphics monitor.

KEYWORDS
display

SYNOPSIS
d.font
d.font help
d.font font=string

  Parameters:

font=string
    Choose new current font Options: cyrilc,gothgbt,gothgrt,gothitt,greekc,greekcs,greekp,greeks,italicc,italiccs,italict,romanc,romancs,romand,romans,romant,scriptc,scripts Default: romans

DESCRIPTION
d.font allows the user to select use of a specific text font for display of text on the graphics monitor. The GRASS program show.fonts.sh is a UNIX Bourne shell macro which names and displays the fonts that can be selected using d.font. If the user does not specify a font when using other GRASS programs that display text, the font type romans is used by default.

The user can run this program either non-interactively or interactively. If the user specifies a font type name on the command line the program will run non-interactively. Alternately, the user can simply type d.font on the command line; in this case, the program will prompt the user for a display text font type using the standard GRASS interface described in the manual entry for parser.

Parameter:

font=name
    Name of a font type, from among the font types italicized below.
    Default: romans
    Options: (italized)
    cyrilc Cyrillic
    gothgbt Gothic Great Britain triplex
    gothgrt Gothic German triplex
    gothitt Gothic Italian triplex
    greekc Greek complex
    greekcs Greek complex script
    greekp Greek plain
    greeks Greek simplex
    italicc Italian complex
    italiccs Italian complex small
    italict Italian triplex
    romanc Roman complex
    romancs Roman complex small
    romand Roman duplex
    romanp Roman plain
    romans Roman simplex
    romant Roman triplex
    scriptc Script complex
    scripts Script simplex

NOTES
The font type romans is the fastest font type to display to the graphics monitor.

SEE ALSO
d.text
d.text.freetype
d.font.freetype
d.title
parser

AUTHOR
James Westervelt, U.S. Army Construction Engineering Research Laboratory

d.font uses the public domain version of the Hershey Fonts created by Dr. A.V. Hershey while working at the U.S. National Bureau of Standards.

Last changed: $Date: 2004/12/14 09:15:52 $

Full index